Newbie installation problem with php_gd2.dll

Do you have a question? Post it now! No Registration Necessary.  Now with pictures!

Threaded View
Hi all,

I cross posted this question on microsoft.public.inetserver.iis, but this is
probably a more appropriate forum.

I have installed PHP (Zend Core 2.0.3) under IIS 6. I also installed
Drupal 5.2.

My php.ini file has the following extension:

php_gd2.dll is version So are all of my other dll's in the .\etc

Running the Drupal Status Page, I get the error message:

The GD library for PHP is missing or outdated. Please check the PHP image
documentation for information on how to correct this. (Yes I followed the
link, and many others, and still have not been able to resolve my problem.)

I did a lot of searching. One site said there are no dependencies and
another site said I need gds32.dll, which seems to be owned by Inprise (I
think this answer was bogus.)

I downloaded it anyway and still cannot get php_gd2.dll to work. I need
php_gd2.dll because I will be creating images on the fly.

If I comment out php_gd2.dll and use php_gd.dll, the status report comes up

Any ideas?


--  Bill

Re: Newbie installation problem with php_gd2.dll

When you use php_gd2.dll, does phpinfo() show that the module is

I think php_gd.dll was removed prior to PHP5, so not sure why you
still have it. One thing to check is if there may be another PHP
install in your system path with conflicting DLLs or if the php.ini is

Quoted text here. Click to load it

Site Timeline